List views - Braintrust
List views
cURL
curl --request GET \
--url https://api.braintrust.dev/v1/view \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.braintrust.dev/v1/view"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.braintrust.dev/v1/view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.braintrust.dev/v1/view",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.braintrust.dev/v1/view"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.braintrust.dev/v1/view")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.braintrust.dev/v1/view")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200
- 400
- 401
- 403
- 429
- 500
Example Response:
{
"objects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_type": "organization",
"object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"view_type": "projects",
"name": "<string>",
"description": "<string>",
"starred": true,
"created": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"view_data": {
"search": {
"filter": [
null
],
"tag": [
null
],
"match": [
null
],
"sort": [
null
]
},
"custom_charts": null
},
"options": {
"viewType": "monitor",
"options": {
"spanType": "range",
"rangeValue": "<string>",
"frameStart": "<string>",
"frameEnd": "<string>",
"tzUTC": true,
"chartVisibility": {},
"projectId": "<string>",
"type": "project",
"groupBy": "<string>"
},
"freezeColumns": true
},
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}
Authorizations
Authorizationstring
- Most Braintrust endpoints are authenticated by providing your API key as a header
Authorization: Bearer [api_key]to your HTTP request.